		<div class="pal_new">
		<h2>New Brand</h2>
			<div class="pal_br_add">
				<a href="/users/brand" class="btn btn-success btn-lg">Back</a>
			</div>
		<form method="post" action="/users/new_brand" onsubmit="return validation();" enctype="multipart/form-data">
			<div class="col-lg-12">
				<div class="col-md-6 form-group">
				<label>Service Name<span class="required">*</span></label>
					<select class="form-control" name="service_id" id="service_id" onchange="display_service(this.value);">
						<option value="">--Select Service--</option>
						{{#each items as |item|}}
							<option value="{{item.id}}">{{item.name}}</option>
						{{/each}}
					</select>
				</div>

				<div class="col-md-6 form-group">
				<label>Service Category Name<span class="required">*</span></label>
					<select class="form-control" name="service_name" id="service_name">
						<option value="">--Select Service Category--</option>
						
					</select>
				</div>
			
				<div class="col-md-6 form-group">
					<label>Brand Name<span class="required">*</span></label>
						<input type="text" class="form-control" name ="brand_name" id="brand_name" placeholder = "Brand Name" />
				</div>
				
				<div class="col-md-6 form-group imageupload">
					<label>Brand Image<span class="required">*</span></label>
						<div class="file-tab panel-body" style="padding: 0px;">
							<label class="btn btn-default btn-file form-control">
								<input type="file" name="brand_image" id="brand_image">
							</label>
							<button type="button" class="btn btn-default">Remove</button>
						</div>
				</div>
				{{#if error_msg}}
					<div class="alert alert-danger">{{error_msg}}</div>
				{{/if}}
				<div class="col-lg-12">
				<button type="submit" class="btn btn-primary">Submit</button>
				</div>
			</div>
		</form>
	</div>
        <script>
            var $imageupload = $('.imageupload');
            $imageupload.imageupload();

            $('#imageupload-disable').on('click', function() {
                $imageupload.imageupload('disable');
                $(this).blur();
            })

            $('#imageupload-enable').on('click', function() {
                $imageupload.imageupload('enable');
                $(this).blur();
            })

            $('#imageupload-reset').on('click', function() {
                $imageupload.imageupload('reset');
                $(this).blur();
            });
			
			function display_service(str){
				   $.ajax({
                    type: 'POST',
                    data: {str: str},

                      url: '/users/getjson',
                      success: function(data) {
						if(data == 1){
							swal("Service Category Not Available");
							$('#service_name').html('');
							//$('#service_name').html('');
						}else{
							$('#service_name').html(data);
						}
                      }
                  });
			}

			
			function validation(){
				var brand_name = $('#brand_name').val();
				var brand_image = $('#brand_image').val();
				var service_name = $('#service_name').val();
				
				if(service_name == ""){
					swal('Select Service Category');
					return false;
				}else if(brand_name == ""){
					swal('Enter Brand Name');
					return false;
				}else if(brand_image == ""){
					swal('Upload Brand Image');
					return false;
				}
			}
        </script>
